AutoCad :: How To Copy Selected Blocks With New Name

Aug 21, 2008

How can I copy selected blocks with new name? or one by one but in fast way? I am doing that using BEDIT but doing one by one and talks long time.

View 9 Replies


ADVERTISEMENT

AutoCAD Visual LISP / AutoLISP :: Select All Blocks Like Selected Blocks With Window?

Feb 28, 2011

(defun CELBLKS ( / e blk ss blkl)
 (setq blkl ""  ss (ssadd))
 (while (setq e (entsel "

[Code]....

i have this lsp, it works great but how can modify it if i want select with a window.? exemple: if i have 3 differentes blocks, i want to select them with windows and the lisp select all blocks that are identical of those 3.?

View 9 Replies View Related

AutoCad :: Replace Only Selected Blocks With A Different One?

Feb 11, 2011

I have 20 blocks named "george" in my dwg. Now, I would like to replace only 7 of them with the block "george2". Is there a simple way to do it just by selecting these 7 and replacing their definition without changing the other 13 "george" blocks?

View 9 Replies View Related

AutoCAD .NET :: Nested Blocks From Selected Subentity

Sep 27, 2013

I'm attempting to have the user select mText from a nested block within a block and then copy the nested block to model space out of the block. I'm able to change the mText successfully, but when I attempt to get the nested block it is not in the list of GetContainers() it only contains the block in model space and the model space block. The nested block is missing in the list. I'm using AutoCAD Civil 3D 2013. 

Here is the code to select the mText object which works correctly.
 
Sub GetNestedMtext() ' Have the user select an object. Using the prompt provided. Dim ed As Editor = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor Dim entopts As New PromptNestedEntityOptions(Environment.NewLine & "Select a mText in block to replace: ") entopts.Message = Environment.NewLine & "Select a mText in block to replace: " Dim ent As PromptNestedEntityResult = Nothing Try ent = ed.GetNestedEntity(entopts) Catch ed.WriteMessage("You did not select a valid entity") End Try If ent.Status = PromptStatus.OK Then CreateDuplicateBlockInModelSpace(ent) End If End Sub
 
Here is the code that attempts to get the nested block which is missing the nested block.
 
Private Shared Sub CreateDuplicateBlockInModelSpace(ByVal ent As PromptNestedEntityResult) Try Dim containerObjIds As ObjectId() = ent.GetContainers() Dim blkToExtract As BlockReference = DirectCast(containerObjIds(1).GetObject(OpenMode.ForRead), BlockReference) Dim blkToPlace As BlockReference = blkToExtract.Clone() Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument Dim db As Database = doc.Database Using tr As Transaction = db.TransactionManager.StartTransaction Dim acBlkTbl As BlockTable acBlkTbl = tr.GetObject(db.BlockTableId, OpenMode.ForRead) Dim acBlkTblRec As BlockTableRecord acBlkTblRec = tr.GetObject(acBlkTbl(BlockTableRecord.ModelSpace), OpenMode.ForWrite) acBlkTblRec.AppendEntity(blkToPlace) tr.AddNewlyCreatedDBObject(blkToPlace, True) tr.Commit() End Using Catch ex As System.Exception End Try End Sub

 Is there another way I can get the parent block object for the nested object? 

View 5 Replies View Related

AutoCAD Map 3D :: Quick Selected Blocks Don't Display But Their Properties Do

Oct 30, 2012

I am trying to get back some of my work that was "lost" when a crash accured. I had 16 blocks (all the same) inserted into my map at the correct locations. I recovered the drawing but noticed that the blocks weren't displaying. I conducted a quick select for the layer which they're on; it stated 16 items were selected (but they are not displaying). While they are still "selected" I checked the properties & it stated all the correct information (quantity, block name, color, layer, scale, etc...). I made sure all layers associated with the block were not frozen. So it's acting as though they're still in the drawing, but aren't displaying...

View 1 Replies View Related

AutoCAD 2010 :: 2012 Hangs When Blocks Or Polylines Are Selected?

Mar 9, 2012

Whenever I select a block or polyline in 2012, the program hangs for about 1 minute.  This never happens when using 2010 on the same system.  Obviously this can't continue. 

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Add Attribute To Selected Blocks (XY Coordinates)

Nov 30, 2012

i have found the following lisp in a previous thread: (shows XY coordinates of the selected blocks)

(defun C:MyFunc (/ ss Index Ename Lst)
(while (or (not ss) (= 0 (sslength ss))) (setq ss (ssget '((0 .
"INSERT")))))
(if ss

[Code]....

I want this information to be added to the blocks as hidden attributes so that i can extract them by attout. The work to be done is : attout to excel, autofill an attribute (numbering) then attin.

but my problem is that i cant think of a way to number those blocks IN ORDER (ie top to bottom or left to right) unless by sorting them in excel first by their x or y coordinates

View 9 Replies View Related

AutoCAD 2013 :: Batch Conversion Of All Or Selected Blocks To Mass Objects?

Sep 30, 2013

I need to export many library elements (conveyors) which are saved in individual blocks to mass objects. I need to convert them to IGES after that.

Until now I have to open every single block and convert all of it to a mass element. This simply takes too long.

Is it possible to write a small script or program which converts all blocks or the selected blocks to mass elements?

- 2500K @ 4.2Ghz- 8GB - Radeon7970 -
- Xeon 1230V2 @ stock Ghz- 32GB - Quadro 2000 -

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Find And Replace Group Of Blocks That Are SELECTED

Jul 17, 2013

I having real difficulty finding a lisp that will find and replace blocks.  There are plenty out there and AutoCAD 2013 and lower has a Find and Replace Blocks.  However, the frustrating catch is I can seem to find a routine that will allow me to replace only those blocks that I select with a selection set of my choosing.  The built in function replaces all of them and will not let you exclude some.  We have PID drawings that we want to replace valves on, but not all valves.  We don't want to rename.  We don't need to BEDIT the existing block. 

1) Pick group of blocks

2) specify a new block that will replace all instances of old block

3) replace inserted block with different block.  Leaving others alone.

I'm thinking this should be easy, but my search has failed.  The blocks in question are not dynamic or attributed either.

View 3 Replies View Related

AutoCAD .NET :: How To Copy Blocks Through COM

Nov 22, 2012

I got a question about access AUTOCAD through COM.Previously I have one VB6 program, which read blocks from an external dwg files and insert into AUTOCAD2010's activepage.

Now I want to upgrade to VB.NET2010, but found one big problem cannot be resolved, that is, how to copy blocks from an external dwg files?I use the command below to copy blocks from dwg file:

Call GetBlocksFromDwg("d:abc.dwg", obj_Doc)
obj_'s definition is:
Dim obj_Doc As Autodesk.AutoCAD.Interop.AcadDocument

Previous VB6 source codes:

Private Sub GetBlocksFromDwg(DwgName As String, Target As Object)
Set DbxDoc = obj_Acad.GetInterfaceObject("ObjectDBX.AxDbDocument.18")
DbxDoc.Open DwgName
Dim Objects(0 To 0) As Object
For Each entry In DbxDoc.Blocks
[code]....

View 9 Replies View Related

AutoCAD VB :: Copy Blocks Through COM?

Nov 22, 2012

I got a question about access AUTOCAD through COM.

Previously I have one VB6 program, which read blocks from an external dwg files and insert into AUTOCAD2010's activepage. Now I want to upgrade to VB.NET2010, but found one big problem cannot be resolved, that is, how to copy blocks from an external dwg files?

I use the command below to copy blocks from dwg file:
Call GetBlocksFromDwg("d:abc.dwg", obj_Doc)
obj_'s definition is:
Dim obj_Doc As Autodesk.AutoCAD.Interop.AcadDocument

[Code]....

View 2 Replies View Related

AutoCAD 2013 :: Copy Selected Area From Excel As Object - Not Picture Or Table

Nov 5, 2013

I'm wanting to know if there is a way to Copy a selected area from Excel and Paste into Autocad and have it as lines and text objects? 

Before everyone is entering the information in RED multiple times, once in excel and again in our cad file.

I don't want a data link because we are sending, only, cad files to our customers.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Place Circle On Selected Blocks Insert Point?

Mar 11, 2013

You have a dwg with multiple sets of different blocks and a circle you want to place on the insert point of each set blocks. 

You select the circle then select one of the blocks in the set and the circle is placed on the insert point of each of the blocks in that set. It would save time from doing it manually and save on mistakes.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Automatically Export Attributes From Selected Blocks To Defined Txt File

Oct 3, 2012

How to create a lisp to automatically export attributes from selected blocks to defined txt file without having to everytime confirm the file name, location and if the file shall be replaced?

Meaning is that I often export attributes to txt file for further use. It is always the same file (I just overwrite it always).

The way I do it now is selecting blocks, using ATTOUT command, then going to the desktop, selecting ATT.txt file and confirming that it is to be replaced.

Is there a way to make lisp or script that will just do all it in at once?

I found on forum such a lisp as below, but it exports all ablocks on drawing and it exports to txt file which is located in same  place as drawing and with same name as drawing. Tried to modify it but without success:

(defun cut-att ()
(load "attout")
(setq fna (strcat (getvar "dwgprefix")
(acet-filename-path-remove (acet-filename-ext-remove (getvar "dwgname")))
".txt"
))
(setq ss (ssget "X" '((0 . "INSERT") (66 . 1))))
(bns_attout fna ss)
)

Same question for ATTIN - I use attin and always same file name from same location - how to automate it with one command?

View 9 Replies View Related

AutoCAD Architecture :: Copy Blocks To Another Drawing

Apr 11, 2011

I have a question.  I have several 3d models i've set up with 3d blocks in each one.  They're separate to cut down on drawing size.  I want to create a database of blocks so to speak by copying all the blocks into one drawing.  I tried going through Design Center to copy the blocks in, but it won't let me just copy them.  Is there a simple way to do this?

View 1 Replies View Related

AutoCAD Architecture :: How To Copy Blocks To Different Drawings

Oct 27, 2013

AutoCad Architecture 10, How can you copy blocks to different drawings? 

View 2 Replies View Related

AutoCad :: Blocks Change During Copy And Paste?

Feb 24, 2012

I have a drawing in house that has issues. When using edit/ copy and edit / paste on a block within the drawing, the block changes to another block when pasted. On a side note, it comes in at the rotation of the original object which was copied. I believe that I am using V.2000

View 8 Replies View Related

AutoCad :: Disappearing Blocks When Copy Pasting To Another DWG?

Jun 19, 2013

In the overlay & sensor coverage file I have created some blocks. all the sensor coverage have dashed lines.

However, when I paste them into another document they partially dissapear and the dashed lines turn solid.

View 4 Replies View Related

AutoCAD Civil 3D :: Copy Blocks From Design Center?

Jan 22, 2013

Can you open two dwgs and copy blocks from one design center to the other?

View 3 Replies View Related

AutoCAD 2013 :: Move / Copy Blocks With Attributes

Feb 10, 2013

My entire office has been experiencing drawing crashes as a result of moving or copying certain blocks within a dwg.  The problem seems to occur only while executing a Move or Copy command on a block with attributes, and zooming or panning while doing so.  My heart sinks instantly because the block will disappear when placed, and I know I am doomed to crash.  

I am usually able to pan or zoom a few times, and if I act quickly a Save will work before the drawing then crashes.  We have recently switched from 2011 to Civil 3D 2013, and the problem still persists. The two culprits are our slope arrow block as well as hex call-out.  Both blocks contain attributes and are frequently used through out our drawings, and this problem proves to be most frustrating when pressed for a deadline. 

View 5 Replies View Related

AutoCAD Dynamic Blocks :: Change Distance After Copy And Paste?

Jun 10, 2013

I have a dynamic block with stretch property.

It changes length after copy/paste.

A sample drawing is attached here.

View 8 Replies View Related

AutoCad 2D :: Copy Blocks From 1 Drawing To Another Using Paste To Original Coordinates

Jan 31, 2013

In Autocad 2013, when I highlight a drawing in model space and copy, then go to new drawing and paste to original coordinates, everything comes in fine except for blocks. the blocks get thrown far away from everything else.

View 8 Replies View Related

AutoCAD Dynamic Blocks :: Copy Metric And Convert It To Become Imperial?

Jan 12, 2013

Why is there no dynamic block for the Imperial Hex Nut in the tool palettes?

Can I copy the Metric and convert it to become Imperial?

Where do I change Metric to Imperial in this dynamic block?

View 1 Replies View Related

Photoshop Elements :: How To Copy Selected Files To CD

Nov 11, 2012

how do i copy selected files to CD

View 4 Replies View Related

Photoshop Elements :: Unable To Copy Selected Layer

Dec 13, 2013

I am unable to copy a layer I have selected.

View 20 Replies View Related

Photoshop Elements :: How To Copy And Paste A Selected Area

Nov 12, 2013

I am working with Photoshop Elements 11. I have a picture that I want to place into a banner. When I do this I find that the height of the picture is fine but it is not wide enough. BUT to the leftside of the picture the background is such that I can cut it out and use it to fill the  space on the left and right sides.

I know how to do selections with marquee tool etc but not how to copy and paste a selected area. Is there a tool or method that will do this for me?

View 1 Replies View Related

Illustrator :: Cannot Copy Objects - At Least On Patch Of The Gradient Mesh Must Be Selected

Nov 3, 2013

I have problem with illustrator CC v17 ..
 
Please Watch This Video And Check My Problem ! [URL]

View 2 Replies View Related

Photoshop Elements :: Cannot Complete Copy Command Because No Pixels Were Selected

Sep 26, 2012

When I try to copy a selected area I get the message "Cannot complete the copy command because no pixels were selected?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Copy Variable Contents Into Attribute Tag In Selection Set Of Blocks

Aug 25, 2011

I have to obtain a selection set of blocks (by window selection and/or single-picks if the user desires) and then an attribute value which I have previously assigned to a variable called TAGVAL to the attribute tag name called PART in that selection set of blocks.

I found a cool routine called RepAtt, but it isn't quite set up to do what I need...
 
(defun RepAtt (Tag / SourceBlk ValueToCopy SelSet) (vl-load-com) (if (setq SourceBlk (car (entsel "
Select Source Block:"))) (progn (mapcar '(lambda (p) (if (equal (vla-get-tagstring p) Tag) (setq ValueToCopy (vla-get-textstring p)) ) ) (vlax-invoke (vlax-ename->vla-object SourceBlk) 'GetAttributes ) ) (ssget ":L" '((0 . "INSERT") (66 . 1))) (vlax-for DesBlock (setq SelSet (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)) ) ) (foreach att (vlax-invoke DesBlock 'GetAttributes) (if (equal (vla-get-tagstring att) Tag) (vla-put-textstring att ValueToCopy) ) ) ) (vla-delete SelSet) ) ) ) (RepAtt "WIDGET");<-- Tag Name

View 1 Replies View Related

GIMP :: Tileable Blur - Unable To Cut Or Copy Because Selected Region Is Empty

Mar 29, 2013

I am UNABLE to use the tileable blur on ANY layer! it doesn't matter what layer or what is selected, it ALWAYS errors out as: "Unable to cut or copy because the selected region is empty."

I CANNOT get the error message to stop!

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Copy Block Attribute Data To A Selection / Group Of Blocks

Apr 15, 2011

I found a lisp to get block attribute data to a other block. See attachment. I can only apply it to one block. I like to apply it to selected blocks or blocks in a group. Is this possible?

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved